Bug 862999 - [abrt] cheese-3.6.0-1.fc18: Process /usr/bin/cheese was killed by signal 11 (SIGSEGV)
[abrt] cheese-3.6.0-1.fc18: Process /usr/bin/cheese was killed by signal 11 (...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: cheese (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
abrt_hash:9d6eccc9104abbdc15b52920a04...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-04 03:36 EDT by D. Charles Pyle
Modified: 2014-02-05 07:26 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 07:26:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (1.40 KB, text/plain)
2012-10-04 03:36 EDT, D. Charles Pyle
no flags Details
File: environ (1.75 KB, text/plain)
2012-10-04 03:36 EDT, D. Charles Pyle
no flags Details
File: limits (1.29 KB, text/plain)
2012-10-04 03:36 EDT, D. Charles Pyle
no flags Details
File: backtrace (62.49 KB, text/plain)
2012-10-04 03:36 EDT, D. Charles Pyle
no flags Details
File: cgroup (129 bytes, text/plain)
2012-10-04 03:36 EDT, D. Charles Pyle
no flags Details
File: maps (89.83 KB, text/plain)
2012-10-04 03:36 EDT, D. Charles Pyle
no flags Details
File: dso_list (16.07 KB, text/plain)
2012-10-04 03:36 EDT, D. Charles Pyle
no flags Details
File: var_log_messages (578 bytes, text/plain)
2012-10-04 03:36 EDT, D. Charles Pyle
no flags Details
File: open_fds (1.13 KB, text/plain)
2012-10-04 03:36 EDT, D. Charles Pyle
no flags Details
Screenshot of Cheese application when Effects button is clicked (37.49 KB, image/png)
2012-10-04 16:06 EDT, D. Charles Pyle
no flags Details

  None (edit)
Description D. Charles Pyle 2012-10-04 03:36:23 EDT
Description of problem:
I clicked the button to record video. The program was running very slowly anyway, with very choppy movement in the preview. Within a second after clicking the button to switch to movie mode, the application crashed. Also, no effects are working at all. All I get are the names of the various effects all clustered together with no previews of any of them.

Version-Release number of selected component:
cheese-3.6.0-1.fc18

Additional info:
libreport version: 2.0.14
abrt_version:   2.0.13
backtrace_rating: 4
cmdline:        cheese
crash_function: cheese_main_window_update_timeout_layer
kernel:         3.6.0-3.fc18.x86_64

truncated backtrace:
:Thread no. 1 (5 frames)
: #2 cheese_main_window_update_timeout_layer at src/cheese-window.c:2757
: #3 _cheese_main_window_update_timeout_layer_gsource_func at src/cheese-window.c:2655
: #8 g_main_context_iteration at gmain.c:3351
: #9 g_application_run at gapplication.c:1620
: #10 _vala_main at src/cheese-main.c:1355
Comment 1 D. Charles Pyle 2012-10-04 03:36:25 EDT
Created attachment 621409 [details]
File: core_backtrace
Comment 2 D. Charles Pyle 2012-10-04 03:36:27 EDT
Created attachment 621410 [details]
File: environ
Comment 3 D. Charles Pyle 2012-10-04 03:36:28 EDT
Created attachment 621411 [details]
File: limits
Comment 4 D. Charles Pyle 2012-10-04 03:36:30 EDT
Created attachment 621412 [details]
File: backtrace
Comment 5 D. Charles Pyle 2012-10-04 03:36:31 EDT
Created attachment 621413 [details]
File: cgroup
Comment 6 D. Charles Pyle 2012-10-04 03:36:33 EDT
Created attachment 621414 [details]
File: maps
Comment 7 D. Charles Pyle 2012-10-04 03:36:35 EDT
Created attachment 621415 [details]
File: dso_list
Comment 8 D. Charles Pyle 2012-10-04 03:36:36 EDT
Created attachment 621416 [details]
File: var_log_messages
Comment 9 D. Charles Pyle 2012-10-04 03:36:38 EDT
Created attachment 621417 [details]
File: open_fds
Comment 10 D. Charles Pyle 2012-10-04 16:06:44 EDT
Created attachment 621815 [details]
Screenshot of Cheese application when Effects button is clicked

I have attached a screenshot of what Cheese looks like when the Effects button is clicked.
Comment 11 D. Charles Pyle 2012-10-06 04:32:09 EDT
Tried to run cheese. Clicked the video mode button and then clicked the record button. The picture froze and then the application crashed, like it has for me since 3.6.0 came out. 3.5.92 made every movement slow but it did not crash. 3.6.0 crashes non-stop.

backtrace_rating: 4
Package: cheese-3.6.0-1.fc18
OS Release: Fedora release 18 (Spherical Cow)
Comment 12 Elad Alfassa 2012-10-28 09:31:20 EDT
Tried to record a video

backtrace_rating: 4
Package: cheese-3.6.1-1.fc18
OS Release: Fedora release 18 (Spherical Cow)
Comment 13 D. Charles Pyle 2012-11-10 10:59:05 EST
$ rpm -qa cheese cheese-libs
cheese-libs-3.6.1-1.fc18.x86_64
cheese-3.6.1-1.fc18.x86_64

$ rpm -qa gstreamer gstreamer1
gstreamer1-1.0.2-1.fc18.i686
gstreamer-0.10.36-2.fc18.i686
gstreamer1-1.0.2-1.fc18.x86_64
gstreamer-0.10.36-2.fc18.x86_64

Cheese still is slow as molasses on both video and on photo modes. No other application has this problem. Cheese crashes considerably less now, though, although it still does. Effects work half the time.

Two versions previous to cheese-3.5.91-1.fc18 worked perfectly so the problems began after a change that came after 3.5.5-2. Regression? Other?
Comment 14 D. Charles Pyle 2012-11-11 21:04:25 EST
Tried to record a video. It now happens all the time since recent updates.

backtrace_rating: 4
Package: cheese-3.6.1-1.fc18
OS Release: Fedora release 18 (Spherical Cow)
Comment 15 D. Charles Pyle 2012-11-22 14:51:56 EST
Now at cheese-3.6.2-1.fc18.x86_64 and cheese is worse than before. Effects are broken again. Changing resolution for photo mode causes the program and camera image to freeze. Another problem I am experiencing is that setting to certain widescreen resolutions distorts the imagery. I never had that problem with the earlier versions.

All other softwares on my computer work flawlessly with the same webcam (Logitech C910 HD Webcam), with no slowness of motion nor crashing nor freezing.

Version 3.5.5-2 of cheese, on the other hand, works perfectly, with no errors, and all effects work flawlessly. I'd just downgrade to the last version that worked well but, unfortunately, User Accounts ceases working when using the earlier versions, probably due to dependencies on newer versions of cheese-libs, which is also a dependency for newer versions of cheese.

All video and UVC drivers are FOSS.
Comment 16 Fedora End Of Life 2013-12-21 04:02:09 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2014-02-05 07:26:39 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.